import os
import json
import shutil

# Получаем путь к директории, где находится сам скрипт
directory = os.path.dirname(__file__)

# Проходим по всем файлам в директории
for filename in os.listdir(directory):
    # Проверяем, что файл имеет имя, начинающееся с 'list_' и заканчивающееся на '.json'
    if filename.startswith("concrete") and filename.endswith(".json"):
        file_path = os.path.join(directory, filename)
        
        # Генерируем новое имя файла, заменяя 'list' на 'dict'
        new_filename = filename.replace("concrete", "concrete_powder")
        new_file_path = os.path.join(directory, new_filename)
        
        # Копируем оригинальный файл с новым именем
        shutil.copy(file_path, new_file_path)
        
        # Открываем новый файл и читаем данные
        with open(new_file_path, 'r', encoding='utf-8') as file:
            data = json.load(file)
        
        # Преобразуем JSON в строку, заменяем 'list' на 'dict'
        json_str = json.dumps(data)
        updated_json_str = json_str.replace("concrete", "concrete_powder")
        
        # Конвертируем обратно в JSON объект
        updated_data = json.loads(updated_json_str)
        
        # Сохраняем обновленный JSON обратно в новый файл
        with open(new_file_path, 'w', encoding='utf-8') as file:
            json.dump(updated_data, file, ensure_ascii=False, indent=4)
        
        print(f"Скопирован и обновлен файл: {new_filename}")

print("Все файлы скопированы и обновлены.")